Kodi crashes with latest widevine 4.10.2252.0

This forum is for topics dealing with problems with software specifically in the ARMv7h repo.

Kodi crashes with latest widevine 4.10.2252.0

Postby henkv » Sun Jun 06, 2021 5:00 am

To be able to play DRM protected videos after May 31th, it is needed that widevine is updated to v4.10.2252.0.
However, this version is incompatible with the current Kodi version.

As suggested here: https://github.com/emilsvennesson/script.module.inputstreamhelper/issues/437:
we need to download the latest widevine (I did), upgrade Kodi to v19.1 (I installed kodi-rpi 19.1-6) and run Kodi with LD_PRELOAD=/usr/lib/libtcmalloc_minimal.so (I installed gperftools 2.9.1-1 and started Kodi with the LD_PRELOAD)

Unfortunately, Kodi crashes when I try to start a DRM protected stream.
Can someone please help?

See also:
https://libreelec.tv/2021/05/le-9-2-7-10b4-fix-widevine/
https://github.com/LibreELEC/LibreELEC.tv/pull/5376
https://github.com/xbmc/inputstream.adaptive/issues/678
henkv
 
Posts: 10
Joined: Mon Feb 15, 2021 6:00 pm

Re: Kodi crashes with latest widevine 4.10.2252.0

Postby graysky » Sun Jun 06, 2021 11:44 am

I only skimmed through a few of the links but if the solution is to patch glibc with an out-of-tree patch, I don't think Arch ARM will do that. Please correct me/post link if there is a solution we can apply to the kodi-rpi package.
graysky
 
Posts: 1026
Joined: Sun Jun 26, 2011 6:56 am
Location: /run/user/1000

Re: Kodi crashes with latest widevine 4.10.2252.0

Postby henkv » Mon Jun 07, 2021 6:33 am

I recompiled glibc with the patch and it fixed the issue.
For now I will be using this patched glibc version and let's hope there will be a more permanent solution some day, so we can keep on watching DRM protected videos on our system.
henkv
 
Posts: 10
Joined: Mon Feb 15, 2021 6:00 pm


Return to ARMv7h

Who is online

Users browsing this forum: No registered users and 3 guests